> For the complete documentation index, see [llms.txt](https://developers.usetoggle.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.usetoggle.com/key-concepts/overview/tender-vs-discount.md).

# Tender vs Discount

**What is Tender vs Discount?**

Within Toggle we have the ability to store the gift card value as;

* Discount (i.e. The client runs a promo giving everyone £5 voucher to come in and spend)
* Tender (i.e. The guest purchases a gift card)
* A mixture of both (i.e. Black Friday offer, buy £10 and get £5 topped up - would give you a £15 gift card loaded with £10 tender, and £5 discount)

Because VAT is payable on redemption, and not sale (as we don't know what the gift card will be used on at point of gift card purchase)  - we expose this to the platform making the purchase so they can decide how to&#x20;

Within a Query, can you add the `ValueSplit` field, and this will return the Tender and Discount value associated to the card. In most cases, this will show all the value in 1 of these - but there are some scenarios where the value of the card is split across both.

```graphql
mutation CreateBalanceAdjustment {
    createBalanceAdjustment(
        currency: "GBP"
        value: -1000
        merchant_id: 26
        card_reference: "6301190019990640662"
        merchant_transaction_reference: "ABC-DEF-001"
    ) {
        value
        ValueSplit {
            tender
            discount
        }
    }
}
```

So the response to the above would return the below;

```graphql
    "data": {
        "createBalanceAdjustment": {
            "value": -1000,
            "ValueSplit": {
                "tender": -750,
                "discount": -250
            }
        }
    }
```

Which tells me that the card has been adjusted by 1000 (£10) balance, of which is split 750 tender and 250 discount. When applying the balance adjustment to the check, we'd ask that you apply the `ValueSplit.discount` as Discount (which is not VAT payable) and the `ValueSplit.tender` Tender as a tender payment (VAT payable).  This ultimately helps our mutual clients accurately report on how much VAT is payable.

If only a proportion of the gift card is redeemed, and it has a split value - Toggle will always take discount off a gift card before Tender.

You can [read more about VAT and gift cards on our guide here >](http://academy.usetoggle.com/en/articles/2877920-vat-on-gift-cards)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.usetoggle.com/key-concepts/overview/tender-vs-discount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
